Delete Deposit Bank Account
DELETE
https://bank.dattaremit.com/api/deposit_bank_accounts/{deposit_bank_account_guid}Requires a bank-scoped key.
Deletes a deposit bank account.
## State
| State | Description |
|---|---|
| deleting | The Platform is deleting the deposit bank account and closing the associated provider account |
| deleted | The Platform has deleted the deposit bank account |
Required scope: deposit_bank_accounts:execute
Path Params
deposit_bank_account_guidstringrequiredIdentifier for the deposit bank account.
Responses
200Deposit bank account deletion initiated
401Unauthorized - Authentication failed
403Invalid scope
404deposit_bank_account not found
422Unprocessable Content
Request
curl https://api.dattaremit.com/api/deposit_bank_accounts/{deposit_bank_account_guid} \
-X DELETE \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
Deposit bank account deletion initiated
{
"guid": "string",
"name": "string",
"type": "string",
"bank_guid": "string",
"customer_guid": "string",
"account_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"deleted_at": "2026-07-20T16:27:51.438Z",
"asset": "string",
"state": "string",
"unique_memo_id": "string",
"counterparty_name": "string",
"counterparty_address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"account_details": [
{
"account_number": "string"
}
],
"routing_details": [
{
"routing_number_type": "string",
"routing_number": "string"
}
],
"parent_deposit_bank_account_guid": "string",
"labels": [
"string"
]
}